loading...
POST
/v2/Report/Summary

Summary returns a batch summary report of all transactions processed on the terminal. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/Report/Summary" \  -H "Content-Type: application/json" \  -d '{    "Tpn": "",    "RegisterId": "",    "Authkey": "",    "SPInProxyTimeout": null  }'

{
  "SummaryDetails": [
    {
      "MerchantNumber": null,
      "Application": "",
      "TransactionsSummaryReports": {
        "TransactionsCount": null,
        "SaleAmount": null,
        "ReturnAmount": null,
        "VoidAmount": null,
        "AuthAmount": null,
        "TicketAmount": null,
        "ReversalAmount": null,
        "CashAdvanceAmount": null,
        "TotalAmount": null
      }
    }
  ],
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}

{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}